import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import React from 'react';
import { connect } from "react-redux";
import { getCartTotal } from "../../../helper/cartSummary";
import './CheckoutCartSummaryPricing.scss';

var CheckoutCartSummaryPricing =
/*#__PURE__*/
function (_React$Component) {
  _inherits(CheckoutCartSummaryPricing, _React$Component);

  function CheckoutCartSummaryPricing() {
    _classCallCheck(this, CheckoutCartSummaryPricing);

    return _possibleConstructorReturn(this, _getPrototypeOf(CheckoutCartSummaryPricing).apply(this, arguments));
  }

  _createClass(CheckoutCartSummaryPricing, [{
    key: "render",
    value: function render() {
      console.log(this.props.cart.items);
      return React.createElement("div", {
        className: "cart-summary"
      }, React.createElement("div", {
        className: "form-wrapper"
      }, React.createElement("form", {
        className: "form-horizontal",
        name: "priceform"
      }, React.createElement("div", {
        className: "summary-header"
      }, React.createElement("h4", {
        className: "summary-title"
      }, "Your Cart ")), React.createElement("fieldset", {
        className: "no-legend cart-items"
      }, React.createElement("div", {
        className: "cart-titles "
      }, React.createElement("span", {
        className: "qty"
      }, "Qty"), React.createElement("span", {
        className: "item"
      }, "Item"), React.createElement("span", {
        className: "price"
      }, "Price")), React.createElement("div", {
        className: "amounts-section"
      }, React.createElement("div", {
        className: "total-section"
      }, React.createElement("div", {
        className: "cart-body"
      }, this.props.cart.items && this.props.cart.items.map(function (book) {
        return React.createElement("div", {
          className: "item-row "
        }, React.createElement("div", {
          className: "item-qty "
        }, book.quantity), React.createElement("div", {
          className: "item-name"
        }, book.description), React.createElement("div", {
          id: "itemTotal",
          className: ""
        }, "$", book.unitPrice, " "));
      })), React.createElement("label", {
        className: "control-label"
      }, this.props.cart && this.props.cart.items && React.createElement(React.Fragment, null, React.createElement("span", {
        id: "subTotal",
        className: ""
      }, "Subtotal \xA0\xA0"), " ", React.createElement("span", null, this.props.cart.institution.country === "US" && React.createElement("span", null, "$"), this.props.cart.institution.country === "GB" && React.createElement("span", null, "\xA3"), this.props.cart.institution.country === "CA" && React.createElement("span", null, "C$"), getCartTotal(this.props.cart.items)))), React.createElement("label", {
        className: "control-label"
      }, this.props.cart && this.props.cart.items && React.createElement(React.Fragment, null, React.createElement("span", {
        id: "shipping",
        className: ""
      }, "Tax \xA0\xA0"), " ", React.createElement("span", null, this.props.cart.institution.country === "US" && React.createElement("span", null, "$"), this.props.cart.institution.country === "GB" && React.createElement("span", null, "\xA3"), this.props.cart.institution.country === "CA" && React.createElement("span", null, "C$"), this.props.taxEstimate))), React.createElement("label", {
        className: "control-label"
      }, this.props.cart && this.props.cart.items && React.createElement(React.Fragment, null, React.createElement("span", {
        id: "shipping",
        className: ""
      }, "Shipping \xA0\xA0"), " ", React.createElement("span", null, this.props.cart.institution.country === "US" && React.createElement("span", null, "$"), this.props.cart.institution.country === "GB" && React.createElement("span", null, "\xA3"), this.props.cart.institution.country === "CA" && React.createElement("span", null, "C$"), "0.00"))))), React.createElement("div", {
        className: "order-total no-button"
      }, this.props.cart && this.props.cart.items && React.createElement(React.Fragment, null, React.createElement("span", {
        className: "order-total-title"
      }, "Order Total"), React.createElement("span", {
        id: "orderTotal",
        className: "order-total-amount"
      }, " ", this.props.cart.institution.country === "US" && React.createElement("span", null, "$"), this.props.cart.institution.country === "GB" && React.createElement("span", null, "\xA3"), this.props.cart.institution.country === "CA" && React.createElement("span", null, "C$"), (this.props.cart.subTotal + this.props.taxEstimate).toFixed(2))))))));
    }
  }]);

  return CheckoutCartSummaryPricing;
}(React.Component);

function mapStateToProps(state) {
  return {
    isCheckout: state.cartActions.isCheckout,
    billingDetails: state.cartActions.billingDetails,
    shippingDetails: state.cartActions.shippingDetails,
    cart: state.cartActions.cart,
    shippingType: state.cartActions.shippingType,
    taxEstimate: state.cartActions.taxEstimate
  };
}

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {};
};

export default connect(mapStateToProps, mapDispatchToProps)(CheckoutCartSummaryPricing);