import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import React from 'react';
import "./OrderAmountSummary.scss";
import { connect } from "react-redux";

var OrderAmountSummary =
/*#__PURE__*/
function (_React$Component) {
  _inherits(OrderAmountSummary, _React$Component);

  function OrderAmountSummary() {
    _classCallCheck(this, OrderAmountSummary);

    return _possibleConstructorReturn(this, _getPrototypeOf(OrderAmountSummary).apply(this, arguments));
  }

  _createClass(OrderAmountSummary, [{
    key: "render",
    value: function render() {
      return React.createElement("div", {
        className: "order-amount-wrapper"
      }, React.createElement("fieldset", {
        className: "no-legend cart-items"
      }, React.createElement("div", {
        className: "total-section"
      }, React.createElement("div", {
        className: "total-headings"
      }, React.createElement("label", null, React.createElement("span", {
        id: "subTotal",
        className: ""
      }, "Subtotal")), React.createElement("label", null, React.createElement("span", {
        id: "tax",
        className: ""
      }, "Tax")), React.createElement("label", null, React.createElement("span", {
        id: "shipping",
        className: ""
      }, "Shipping"))), this.props.cart.institution.country === "US" && React.createElement("div", {
        className: "total-amounts"
      }, React.createElement("span", null, "$", this.props.cart.subTotal), React.createElement("span", null, "$", this.props.taxEstimate), React.createElement("span", null, "$", this.props.shipping)), this.props.cart.institution.country === "GB" && React.createElement("div", {
        className: "total-amounts"
      }, React.createElement("span", null, "\xA3", this.props.cart.subTotal), React.createElement("span", null, "\xA3", this.props.taxEstimate), React.createElement("span", null, "\xA3", this.props.shipping)), this.props.cart.institution.country === "CA" && React.createElement("div", {
        className: "total-amounts"
      }, React.createElement("span", null, "C$", this.props.cart.subTotal), React.createElement("span", null, "C$", this.props.taxEstimate), React.createElement("span", null, "C$", this.props.shipping))), React.createElement("div", {
        className: "order-total"
      }, React.createElement("span", {
        className: "order-total-title"
      }, "Order Total"), this.props.cart.institution.country === "US" && React.createElement("span", {
        id: "orderTotal",
        className: "order-total-amount"
      }, "$", this.props.orderTotal), this.props.cart.institution.country === "GB" && React.createElement("span", {
        id: "orderTotal",
        className: "order-total-amount"
      }, "\xA3", this.props.orderTotal), this.props.cart.institution.country === "CA" && React.createElement("span", {
        id: "orderTotal",
        className: "order-total-amount"
      }, "C$", this.props.orderTotal)), React.createElement("div", {
        className: "checkout-button-container"
      }, React.createElement("button", {
        className: "btn btn-primary btn-block checkout-button",
        onClick: this.props.successCallback
      }, "Continue"))));
    }
  }]);

  return OrderAmountSummary;
}(React.Component);

function mapStateToProps(state) {
  return {
    successCallback: state.cartActions.successCallback,
    cart: state.cartActions.cart,
    taxEstimate: state.cartActions.taxEstimate,
    orderTotal: state.cartActions.orderTotal,
    shipping: state.cartActions.shipping
  };
}

export default connect(mapStateToProps)(OrderAmountSummary);