import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import React, { Component } from 'react';
import { Alert } from 'react-bootstrap';
import "./OrderConfirmationAlerts.scss";
import { connect } from "react-redux";

var OrderConfirmationAlert =
/*#__PURE__*/
function (_Component) {
  _inherits(OrderConfirmationAlert, _Component);

  function OrderConfirmationAlert(props) {
    var _this;

    _classCallCheck(this, OrderConfirmationAlert);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(OrderConfirmationAlert).call(this, props));
    console.log(_this.props);
    return _this;
  }

  _createClass(OrderConfirmationAlert, [{
    key: "render",
    value: function render() {
      return React.createElement(Alert, {
        variant: "light"
      }, React.createElement("div", {
        className: "alert-wrapper"
      }, React.createElement("div", {
        className: "icon-wrapper"
      }, "\xA0"), React.createElement("div", {
        className: "text-wrapper"
      }, React.createElement("p", {
        className: "alert-message"
      }, "Your order was successfully submitted and a confirmation email was to ", this.props.cart.user.emailAddress, ". Thank You."), React.createElement("p", {
        className: "order-number"
      }, "Order number: ", this.props.orderNumber))));
    }
  }]);

  return OrderConfirmationAlert;
}(Component);

function mapStateToProps(state) {
  return {
    orderNumber: state.cartActions.orderInfo.orderNumber
  };
}

export default connect(mapStateToProps)(OrderConfirmationAlert);