import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import _assertThisInitialized from "@babel/runtime/helpers/esm/assertThisInitialized";
import React, { Component } from "react";
import './ShippingMethods.scss';
import { connect } from "react-redux";

var ShippingMethods =
/*#__PURE__*/
function (_Component) {
  _inherits(ShippingMethods, _Component);

  function ShippingMethods(props) {
    var _this;

    _classCallCheck(this, ShippingMethods);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ShippingMethods).call(this, props));
    _this.handleTaxMethodResponse = _this.handleTaxMethodResponse.bind(_assertThisInitialized(_assertThisInitialized(_this)));
    _this.state = {
      selectedShippingMethod: '',
      radioFocused: false,
      shippingMethodCart: {}
    };
    return _this;
  }

  _createClass(ShippingMethods, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var tempshippingarr = [];
      tempshippingarr.push(this.props.shippingMethodTypes);
      console.log(tempshippingarr);
    }
  }, {
    key: "changeShippingAmount",
    value: function changeShippingAmount(e) {
      console.log(e.target.value);
      var updatedSaveCart2 = {};
      console.log(this.props);

      if (e.target.value == 6) {
        updatedSaveCart2.shippingType = {
          "displayText": "2nd Day (Flat Rate)",
          "shipperCode": "30",
          "shipperCharges": "6.00",
          "shipperType": "ShipperType",
          "description": "&lt;p&gt;If you submit your order now it will ship today.&lt;br/&gt;&lt;br/&gt;This date only applies to items that are currently in stock and do not require printing or assembly time. Please allow 1 business day for transit. (Remote areas and Alaska &amp; Hawaii may take longer.)&lt;/p&gt;"
        };
        updatedSaveCart2.shipping = 6;
        updatedSaveCart2.billingContact = this.props.billingDetails;
        updatedSaveCart2.institution = this.props.cart.institution;
        updatedSaveCart2.items = this.props.cart.items;
        updatedSaveCart2.orderId = this.props.orderId;
        updatedSaveCart2.orderTotal = this.props.cart.subTotal + updatedSaveCart2.shipping;
        updatedSaveCart2.remoteCartId = this.props.cart.remoteCartId;
        updatedSaveCart2.shippingContact = this.props.shippingDetails;
        updatedSaveCart2.user = this.props.cart.user;
        updatedSaveCart2._links = this.props.cart._links;
        updatedSaveCart2.saveCart = false;
        updatedSaveCart2.subTotal = this.props.cart.subTotal;
        updatedSaveCart2.id = this.props.cart.id;
        this.shippingMethodCart = updatedSaveCart2;
        console.log(this.shippingMethodCart);
        this.props.updateCartWithShipping(this.props.userToken, this.props.env, this.shippingMethodCart, this.props.orderId);
        this.props.getTaxAmount(this.props.userToken, this.props.env, this.shippingMethodCart, this.props.orderId, this.handleTaxMethodResponse);
        return updatedSaveCart2;
      } else if (e.target.value == 8) {
        updatedSaveCart2.shippingType = {
          "displayText": "Overnight (Flat Rate)",
          "shipperCode": "40",
          "shipperCharges": "8.00",
          "shipperType": "ShipperType",
          "description": "&lt;p&gt;If you submit your order now it will ship today.&lt;br/&gt;&lt;br/&gt;This date only applies to items that are currently in stock and do not require printing or assembly time. Please allow 1 business day for transit. (Remote areas and Alaska &amp; Hawaii may take longer.)&lt;/p&gt;"
        };
        updatedSaveCart2.shipping = 8;
        updatedSaveCart2.billingContact = this.props.billingDetails;
        updatedSaveCart2.institution = this.props.cart.institution;
        updatedSaveCart2.items = this.props.cart.items;
        updatedSaveCart2.orderId = this.props.orderId;
        updatedSaveCart2.orderTotal = this.props.cart.subTotal + updatedSaveCart2.shipping;
        updatedSaveCart2.remoteCartId = this.props.cart.remoteCartId;
        updatedSaveCart2.shippingContact = this.props.shippingDetails;
        updatedSaveCart2.user = this.props.cart.user;
        updatedSaveCart2._links = this.props.cart._links;
        updatedSaveCart2.saveCart = false;
        updatedSaveCart2.subTotal = this.props.cart.subTotal;
        updatedSaveCart2.id = this.props.cart.id;
        this.shippingMethodCart = updatedSaveCart2;
        console.log(this.shippingMethodCart);
        this.props.updateCartWithShipping(this.props.userToken, this.props.env, this.shippingMethodCart, this.props.orderId);
        this.props.getTaxAmount(this.props.userToken, this.props.env, this.shippingMethodCart, this.props.orderId, this.handleTaxMethodResponse);
        return updatedSaveCart2;
      } else if (e.target.value == 0) {
        updatedSaveCart2.shippingType = {
          "displayText": "Ground",
          "shipperCode": "20",
          "shipperCharges": "0.00",
          "shipperType": "ShipperType",
          "description": "&lt;p&gt;If you submit your order now it will ship today.&lt;br/&gt;&lt;br/&gt;This date only applies to items that are currently in stock and do not require printing or assembly time. Please allow 1 business day for transit. (Remote areas and Alaska &amp; Hawaii may take longer.)&lt;/p&gt;"
        };
        updatedSaveCart2.shipping = 0;
        updatedSaveCart2.billingContact = this.props.billingDetails;
        updatedSaveCart2.institution = this.props.cart.institution;
        updatedSaveCart2.items = this.props.cart.items;
        updatedSaveCart2.orderId = this.props.orderId;
        updatedSaveCart2.orderTotal = this.props.cart.subTotal + updatedSaveCart2.shipping;
        updatedSaveCart2.remoteCartId = this.props.cart.remoteCartId;
        updatedSaveCart2.shippingContact = this.props.shippingDetails;
        updatedSaveCart2.user = this.props.cart.user;
        updatedSaveCart2._links = this.props.cart._links;
        updatedSaveCart2.saveCart = false;
        updatedSaveCart2.subTotal = this.props.cart.subTotal;
        updatedSaveCart2.id = this.props.cart.id;
        this.shippingMethodCart = updatedSaveCart2;
        console.log(this.shippingMethodCart);
        this.props.updateCartWithShipping(this.props.userToken, this.props.env, this.shippingMethodCart, this.props.orderId);
        this.props.getTaxAmount(this.props.userToken, this.props.env, this.shippingMethodCart, this.props.orderId, this.handleTaxMethodResponse);
        return updatedSaveCart2;
      }
    }
  }, {
    key: "handleTaxMethodResponse",
    value: function handleTaxMethodResponse(response) {
      console.log('getTaxAmount() invoking success in shipping method component');
      var UpdatedCartWithTax = [];
      var tot = 0;
      UpdatedCartWithTax.push(this.shippingMethodCart);
      UpdatedCartWithTax[0].taxEstimate = response.data;
      UpdatedCartWithTax[0].subTotal = UpdatedCartWithTax[0].orderTotal;
      this.tot = UpdatedCartWithTax[0].taxEstimate + UpdatedCartWithTax[0].subTotal;
      UpdatedCartWithTax[0].orderTotal = this.tot;
      UpdatedCartWithTax[0].saveCart = true; // this.cartTaxAmount = UpdatedCartWithTax[0].taxEstimate;
      // subTotal

      this.CartWithBillingAndShippingAndTax = UpdatedCartWithTax[0];
      this.props.updateCartWithShipping(this.props.userToken, this.props.env, this.CartWithBillingAndShippingAndTax, this.props.orderId);
      return this.CartWithBillingAndShippingAndTax;
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      return React.createElement("div", {
        className: "row checkout-page-row"
      }, React.createElement("div", {
        className: "sfc-col-8"
      }, React.createElement("h3", {
        className: "step-title method"
      }, "Shipping method"), React.createElement("p", {
        className: "ship-method-bold"
      }, "If you submit your order now. It will ship on 01/12/17"), React.createElement("p", {
        className: "ship-method-text"
      }, "Shipping time apply to items current in stock and do not require printing and assembly time. Items in transit from remote area, Alaska and Hawaii may take longer."), React.createElement("div", {
        className: "radio-container"
      }, React.createElement("ul", null, React.createElement("li", null, this.props.shipmethods && this.props.shipmethods.map(function (shipmethod) {
        return React.createElement("div", null, React.createElement("input", {
          type: "radio",
          name: "myRadio",
          defaultChecked: shipmethod.shipperCharges == 0 ? true : false,
          onChange: _this2.changeShippingAmount.bind(_this2),
          value: shipmethod.shipperCharges
        }), React.createElement("div", {
          className: "item-name"
        }, shipmethod.displayText, " ", shipmethod.shipperCharges == 0 ? React.createElement("label", {
          htmlFor: "free-option"
        }, "Free") : shipmethod.shipperCharges));
      }))))));
    }
  }]);

  return ShippingMethods;
}(Component);

function mapStateToProps(state) {
  return {
    cart: state.cartActions.cart,
    alerts: state.cartActions.alerts,
    billingContact: state.cartActions.billingContact,
    shippingContact: state.cartActions.shippingContact,
    shippingType: state.cartActions.shippingType,
    taxEstimate: state.cartActions.taxEstimate,
    shipmethods: state.cartActions.shipmethods
  };
}

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    updateCartWithShipping: function updateCartWithShipping(userToken, env, cart, orderId, callback) {
      dispatch({
        type: 'UPDATE_CART_DATA',
        data: {
          userToken: userToken,
          env: env,
          cart: cart,
          orderId: orderId,
          callback: callback
        }
      });
    },
    getShippingMethods: function getShippingMethods(userToken, env, payload, orderId, callback) {
      dispatch({
        type: 'FETCH_SHIPPING_METHODS',
        data: {
          userToken: userToken,
          env: env,
          orderId: orderId,
          cart: payload,
          callback: callback
        }
      });
    },
    getTaxAmount: function getTaxAmount(userToken, env, payload, orderId, callback) {
      dispatch({
        type: 'FETCH_TAX_AMOUNT',
        data: {
          userToken: userToken,
          env: env,
          orderId: orderId,
          cart: payload,
          callback: callback
        }
      });
    }
  };
};

export default connect(mapStateToProps, mapDispatchToProps)(ShippingMethods);