var ENVIRONMENTS = {
  cartApi: {
    local: 'http://localhost:8081',
    dev: 'https://cartapi.dev-prsn.com',
    qa: 'https://cartapi-qaint.dev-prsn.com',
    stg: 'https://cartapi.stg-prsn.com',
    prd: 'https://cartapi.prd-prsn.com'
  },
  iframeUrl: {
    local: 'https://secure-ppe.pearson.com/content/sop-iframe.html?',
    dev: 'https://secure-ppe.pearson.com/content/sop-iframe.html?',
    qa: 'https://secure-ppe.pearson.com/content/sop-iframe.html?',
    stg: 'https://secure-ppe.pearson.com/content/sop-iframe.html?',
    prd: 'https://secure-ppe.pearson.com/content/sop-iframe.html?'
  },
  storeIds: {
    US: "en-US-EXC02_EXC02",
    GB: "en-UK-EXCUK_EXCUK",
    CA: "en-CA-EXCCA_EXCCA"
  },
  orchApi: {
    local: "https://orchestrator.dev-openclass.com",
    dev: "https://orchestrator.dev-openclass.com",
    qa: "https://orchestrator-qa.dev-openclass.com",
    stg: "https://orchestrator.stg-openclass.com",
    prd: "https://orchestrator.openclass.com"
  },
  paypalEnv: {
    local: "sandbox",
    dev: "sandbox",
    qa: "sandbox",
    stg: "sandbox",
    prd: "production"
  }
};
export default ENVIRONMENTS;