import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import React, { Component } from 'react';
import './TestHarness.scss';
import GPCart from "../../GPCart";

var TestHarness =
/*#__PURE__*/
function (_Component) {
  _inherits(TestHarness, _Component);

  function TestHarness(props) {
    var _this;

    _classCallCheck(this, TestHarness);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(TestHarness).call(this, props));

    _this.handleOrderIdChange = function (event) {
      _this.setState({
        OrderId: event.target.value
      });
    };

    _this.handleTokenChange = function (event) {
      _this.setState({
        Token: event.target.value
      });
    };

    _this.handleEnvironmentChange = function (event) {
      _this.setState({
        Environment: event.target.value
      });
    };

    _this.handleOrder = function (event) {
      _this.setState({
        openOrder: !_this.state.openOrder
      });

      _this.setState({
        isSubmitted: true
      });

      event.preventDefault();

      _this.setState({
        isSubmitted: true
      });

      console.log(_this.state);
    };

    _this.state = {
      OrderId: '',
      Token: '',
      Environment: '',
      OrderIdError: '',
      TokenError: '',
      EnvironmentError: '',
      isSubmitted: false,
      openOrder: false
    };
    return _this;
  }

  _createClass(TestHarness, [{
    key: "render",
    value: function render() {
      var token = this.state.Token;
      var orderid = this.state.OrderId;
      var env = this.state.Environment;
      return React.createElement("div", null, !this.state.openOrder ? React.createElement("div", {
        id: "test-harness-container"
      }, React.createElement("form", {
        className: "text-harness-form",
        onSubmit: this.handleOrder.bind(this)
      }, React.createElement("div", {
        className: "form-group"
      }, React.createElement("label", {
        htmlFor: "OrderId"
      }, "Order Id"), React.createElement("input", {
        className: "form-control ".concat(this.state.OrderIdError ? 'is-invalid' : ''),
        id: "OrderId",
        placeholder: "Enter Order Id",
        value: this.state.OrderId,
        onChange: this.handleOrderIdChange,
        autoComplete: "on"
      }), React.createElement("div", {
        className: "invalid-feedback"
      }, this.state.OrderIdError)), React.createElement("div", {
        className: "form-group"
      }, React.createElement("label", {
        htmlFor: "Token"
      }, "User Token"), React.createElement("input", {
        className: "form-control ".concat(this.state.TokenError ? 'is-invalid' : ''),
        id: "Token",
        placeholder: "Enter Token",
        value: this.state.Token,
        onChange: this.handleTokenChange,
        autoComplete: "on"
      }), React.createElement("div", {
        className: "invalid-feedback"
      }, this.state.TokenError)), React.createElement("div", {
        className: "form-group"
      }, React.createElement("label", {
        htmlFor: "Environment"
      }, "Environment"), React.createElement("input", {
        className: "form-control ".concat(this.state.EnvironmentError ? 'is-invalid' : ''),
        id: "Environment",
        placeholder: "Enter Testing Environment",
        value: this.state.Environment,
        onChange: this.handleEnvironmentChange,
        autoComplete: "on"
      }), React.createElement("div", {
        className: "invalid-feedback"
      }, this.state.EnvironmentError)), React.createElement("input", {
        type: "submit",
        name: "submit",
        value: "Proceed",
        onClick: this.handleOrder
      }))) : null, this.state.openOrder ? React.createElement(GPCart, {
        userToken: token,
        orderId: orderid,
        env: env
      }) : null);
    }
  }]);

  return TestHarness;
}(Component);

export { TestHarness as default };