import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import React from 'react';
import { connect } from "react-redux";
import { getCartTotal } from "../../../helper/cartSummary";
import './Cart.scss';
import ErrorMessage from "../CartSummaryPricing/ErrorMessage/ErrorMessage";

var CartSummaryContainer =
/*#__PURE__*/
function (_React$Component) {
  _inherits(CartSummaryContainer, _React$Component);

  function CartSummaryContainer() {
    _classCallCheck(this, CartSummaryContainer);

    return _possibleConstructorReturn(this, _getPrototypeOf(CartSummaryContainer).apply(this, arguments));
  }

  _createClass(CartSummaryContainer, [{
    key: "render",
    value: function render() {
      var _this = this;

      console.log(this.props);
      return React.createElement("div", {
        className: "cart-summary"
      }, React.createElement("div", {
        className: "form-wrapper"
      }, React.createElement("form", {
        className: "form-horizontal",
        name: "priceform"
      }, React.createElement("div", {
        className: "summary-header"
      }, React.createElement("h4", {
        className: "summary-title"
      }, "Cart summary")), React.createElement("fieldset", {
        className: "no-legend cart-items"
      }, React.createElement("div", {
        className: "cart-body"
      }, React.createElement("div", {
        className: "show"
      }, this.props.cart && this.props.cart.items && React.createElement(React.Fragment, null, React.createElement("span", {
        className: "item-name"
      }, "Item Total (", this.props.cart.items.length, ") "), React.createElement("span", {
        id: "itemCountTotal"
      }, " ", this.props.cart.institution.country === "US" && React.createElement("span", null, "$"), this.props.cart.institution.country === "GB" && React.createElement("span", null, "\xA3"), this.props.cart.institution.country === "CA" && React.createElement("span", null, "C$"), getCartTotal(this.props.cart.items))))), React.createElement("div", {
        className: "amounts-section"
      }, React.createElement("div", {
        className: "total-section"
      }, React.createElement("label", {
        className: "control-label"
      }, this.props.cart && this.props.cart.items && React.createElement(React.Fragment, null, React.createElement("span", {
        id: "subTotal",
        className: ""
      }, "Subtotal \xA0\xA0"), React.createElement("span", null, " ", this.props.cart.institution.country === "US" && React.createElement("span", null, "$"), this.props.cart.institution.country === "GB" && React.createElement("span", null, "\xA3"), this.props.cart.institution.country === "CA" && React.createElement("span", null, "C$"), getCartTotal(this.props.cart.items)))))), React.createElement("div", {
        className: "order-total no-button"
      }, this.props.cart && this.props.cart.items && React.createElement(React.Fragment, null, React.createElement("span", {
        className: "order-total-title"
      }, "Order Total"), React.createElement("span", {
        id: "orderTotal",
        className: "order-total-amount"
      }, " ", this.props.cart.institution.country === "US" && React.createElement("span", null, "$"), this.props.cart.institution.country === "GB" && React.createElement("span", null, "\xA3"), this.props.cart.institution.country === "CA" && React.createElement("span", null, "C$"), getCartTotal(this.props.cart.items)))), this.props.orderInfo.errorCode == null && React.createElement("div", {
        className: "checkout-button-container show"
      }, React.createElement("button", {
        type: "submit",
        className: "btn btn-primary btn-block checkout-button",
        onClick: function onClick() {
          _this.props.checkoutHandler();
        }
      }, "Checkout"), React.createElement("p", {
        className: "secure-label"
      }, "Secure Checkout")), this.props.orderInfo.errorCode != null && React.createElement(ErrorMessage, null)))));
    }
  }]);

  return CartSummaryContainer;
}(React.Component);

function mapStateToProps(state) {
  return {
    cart: state.cartActions.cart,
    orderInfo: state.cartActions.orderInfo
  };
}

var mapDispatchToProps = function mapDispatchToProps(dispatch, ownProps) {
  return {
    checkoutHandler: function checkoutHandler() {
      dispatch({
        type: 'COMPONENT_SUMMARY_COMPLETED',
        data: true
      });
    }
  };
};

export default connect(mapStateToProps, mapDispatchToProps)(CartSummaryContainer);