import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import React, { Component } from "react";
import { connect } from "react-redux";
import ERROR_MESSAGES from "../../../../const/ERROR_MESSAGES";

var ErrorMessage =
/*#__PURE__*/
function (_Component) {
  _inherits(ErrorMessage, _Component);

  function ErrorMessage() {
    _classCallCheck(this, ErrorMessage);

    return _possibleConstructorReturn(this, _getPrototypeOf(ErrorMessage).apply(this, arguments));
  }

  _createClass(ErrorMessage, [{
    key: "render",
    value: function render() {
      return React.createElement("div", null, this.props.orderInfo.errorCode === ERROR_MESSAGES.SECURITY_ERROR && React.createElement(React.Fragment, null, React.createElement("p", null, React.createElement("b", null, "We're sorry!")), React.createElement("p", null, "The security code is incorrect."), React.createElement("p", null, "Please check the security code details (Visa/MasterCard: 3 digits on back of card; American Express: 4 digits on front of card) and try again."), React.createElement("p", null, "Thank you."), React.createElement("button", {
        onClick: this.props.failureCallback
      }, "Continue")), this.props.orderInfo.errorCode === ERROR_MESSAGES.CARD_ERROR && React.createElement(React.Fragment, null, React.createElement("p", null, React.createElement("b", null, "We're sorry!")), React.createElement("p", null, "The card data you entered is incorrect."), React.createElement("p", null, "Please check card details and try again."), React.createElement("p", null, "Thank you."), React.createElement("button", {
        onClick: this.props.failureCallback
      }, "Continue")), this.props.orderInfo.errorCode === ERROR_MESSAGES.TRANSACTION_ERROR && React.createElement(React.Fragment, null, React.createElement("p", null, React.createElement("b", null, "We're sorry!")), React.createElement("p", null, "Your card issuer has declined this transaction."), React.createElement("p", null, "Please contact your bank or use another form of payment."), React.createElement("p", null, "Thank you."), React.createElement("button", {
        onClick: this.props.failureCallback
      }, "Continue")), this.props.orderInfo.errorCode === ERROR_MESSAGES.CUSTOM_ERROR && React.createElement(React.Fragment, null, React.createElement("p", null, React.createElement("b", null, "We're sorry!")), React.createElement("p", null, "Your card issuer has declined this transaction."), React.createElement("p", null, "Please check the security code details (Visa/MasterCard: 3 digits on back of card; American Express: 4 digits on front of card) and try again."), React.createElement("p", null, "If problem continues please contact your bank or use another form of payment."), React.createElement("p", null, "Thank you."), React.createElement("button", {
        onClick: this.props.failureCallback
      }, "Continue")), this.props.orderInfo.errorCode === ERROR_MESSAGES.GENERIC_ERROR && React.createElement(React.Fragment, null, React.createElement("p", null, React.createElement("b", null, "We're sorry!")), React.createElement("p", null, "There was a problem processing your order."), React.createElement("p", null, "Please contact ", React.createElement("a", {
        target: "_blank"
      }, "Customer Service"), " with your order information and payment details and they will help you with your transaction."), React.createElement("button", {
        onClick: this.props.failureCallback
      }, "Continue")));
    }
  }]);

  return ErrorMessage;
}(Component);

function mapStateToProps(state) {
  return {
    orderInfo: state.cartActions.orderInfo,
    failureCallback: state.cartActions.failureCallback
  };
}

export default connect(mapStateToProps)(ErrorMessage);