import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import React, { Component } from "react";
import { loadIframe } from "../../../helper/sopIframe";
import { connect } from "react-redux";
import ENVIRONMENTS from "../../../const/ENVIRONMENT";

var CreditCard =
/*#__PURE__*/
function (_Component) {
  _inherits(CreditCard, _Component);

  _createClass(CreditCard, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      // var cart = "{\"_links\":{\"profile\":{\"href\":\"http://cartapi.dev-prsn.com/v2/profiles/user.id:ffffffff5bf4e707b16cc038e3a1a122\"},\"self\":{\"href\":\"http://cartapi.dev-prsn.com/v2/carts/fd06ed5f-b158-411e-968b-b50f3124f9f5\"},\"orders\":{\"href\":\"http://cartapi.dev-prsn.com/orders?filter=user.id::ffffffff5bf4e707b16cc038e3a1a122\"},\"up\":{\"href\":\"http://cartapi.dev-prsn.com/carts\"},\"items\":{\"href\":\"http://cartapi.dev-prsn.com/orders/{orderId}/items\",\"templated\":true},\"checkout\":{\"href\":\"http://cartapi.dev-prsn.com/carts/fd06ed5f-b158-411e-968b-b50f3124f9f5/checkout\"}},\"institution\":{\"id\":\"201905231030\",\"country\":\"US\"},\"createdAt\":\"2019-09-02T04:14:26.733Z\",\"saveCart\":false,\"orderId\":\"42674\",\"remoteCartId\":\"70000000903078\",\"subTotal\":105.32,\"id\":\"fd06ed5f-b158-411e-968b-b50f3124f9f5\",\"user\":{\"id\":\"ffffffff5bf4e707b16cc038e3a1a122\",\"emailAddress\":\"deepitha678@gmail.com\"},\"items\":[{\"_links\":{\"self\":{\"href\":\"http://cartapi.dev-prsn.com/carts/fd06ed5f-b158-411e-968b-b50f3124f9f5/items/1\"},\"up\":{\"href\":\"http://cartapi.dev-prsn.com/orders/{orderId}/items\",\"templated\":true},\"cart\":{\"href\":\"http://cartapi.dev-prsn.com/v2/carts/fd06ed5f-b158-411e-968b-b50f3124f9f5\"}},\"unitPrice\":105.32,\"quantity\":1,\"productId\":\"9c56a104-3a7a-40f2-827c-004113396326\",\"isbn\":\"9780133882100\",\"coverImage\":{\"href\":\"https://media.pearsoncmg.com/ph/hss/revel/covers/bonds_3e_0133794636.jpg\"},\"description\":\"des\",\"isRemovable\":true,\"title\":\"Data Science - Physical\",\"type\":\"HARD_COPY\",\"unitTotal\":105.32}],\"ttlSeconds\":0,\"updatedAt\":\"2019-09-02T04:14:26.733Z\",\"ipAddress\":\"::ffff:127.0.0.1\",\"successUrl\":\"http://10.52.122.120:8080/pp/continue\",\"failureUrl\":\"http://10.52.122.120:8080/pp/continue\",\"cancelUrl\":\"http://10.52.122.120:8080/pp/continue\",\"verificationUrl\":\"http://10.52.122.120:8080/pp/continue\",\"orderTotal\":112.69,\"taxEstimate\":7.37,\"shipping\":0,\"billingContact\":{\"firstName\":\"Shandsfsfddf\",\"lastName\":\"Zing\",\"phoneNumber\":\"3333333333\",\"address\":{\"addressLine1\":\"100\",\"city\":\"Indianapolis\",\"stateOrProvince\":\"IN\",\"postalCode\":\"46237\",\"country\":\"United States\",\"isoCountry\":\"US\"},\"cartId\":\"fd06ed5f-b158-411e-968b-b50f3124f9f5\"},\"shippingContact\":{\"firstName\":\"Shandsfsfddf\",\"lastName\":\"Zing\",\"phoneNumber\":\"3333333333\",\"address\":{\"addressLine1\":\"100\",\"city\":\"Indianapolis\",\"stateOrProvince\":\"IN\",\"postalCode\":\"46237\",\"country\":\"United States\",\"isoCountry\":\"US\"},\"cartId\":\"fd06ed5f-b158-411e-968b-b50f3124f9f5\"},\"digitalOnly\":false,\"shippingType\":{\"displayText\":\"Ground\",\"shipperCode\":\"20\",\"shipperCharges\":\"0.00\",\"shipperType\":\"ShipperType\",\"description\":\"&lt;p&gt;If you submit your order now it will ship today.&lt;br/&gt;&lt;br/&gt;This date only applies to items that are currently in stock and do not require printing or assembly time. Please allow 1 business day for transit. (Remote areas and Alaska &amp; Hawaii may take longer.)&lt;/p&gt;\"},\"orderNumber\":\"WEB70000000904088\",\"deviceId\":\"something\",\"paymentOption\":\"CREDIT_CARD\",\"iframeUrl\":\"https://secure-ppe.pearson.com/content/sop-iframe.html?\",\"statusCode\":\"200\",\"statusMessage\":\"Order Placed\"}";
      var currentProps = this.props;
      var cart = Object.assign({}, this.props.cart);
      cart.shippingContact = this.props.shippingContact;
      cart.billingContact = this.props.billingContact;
      cart.shippingType = this.props.shippingType;
      cart.taxEstimate = this.props.taxEstimate;
      cart.paymentOption = "CREDIT_CARD";
      var data = {
        env: this.props.env,
        userToken: this.props.userToken,
        cart: cart,
        iframeUrl: ENVIRONMENTS.iframeUrl[this.props.env]
      };
      loadIframe(data, function (response) {
        console.log("on order completion");

        if (response.isOrderCompleted === true) {
          currentProps.fulfillOrder(currentProps.userToken, currentProps.env, currentProps.orderId, function (isValid) {
            if (isValid) {
              currentProps.onOrderCompletion(response);
            } else {
              response.isOrderCompleted = false;
              response.errorCode = "genericError";
              currentProps.onOrderCompletion(response);
            }
          });
        }
      });
    }
  }]);

  function CreditCard(props) {
    var _this;

    _classCallCheck(this, CreditCard);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(CreditCard).call(this, props));
    _this.state = {
      cartId: _this.props.cart.remoteCartId,
      storeId: ENVIRONMENTS.storeIds[_this.props.cart.institution.country],
      userId: _this.props.cart.user.emailAddress,
      returnUrl: "http://local.stg-openclass.com:8080",
      styleUrl: "https://cartui.dev-prsn.com/ecommerce/aem-iframe.css",
      iframeAction: ENVIRONMENTS.iframeUrl[_this.props.env]
    };
    return _this;
  }

  _createClass(CreditCard, [{
    key: "render",
    value: function render() {
      return React.createElement("div", {
        id: "payment-option"
      }, React.createElement("div", {
        id: "aemCreditCardIframe",
        className: "aem-iframe",
        style: {
          height: '500px',
          width: "300px"
        }
      }), React.createElement("form", {
        action: this.state.iframeAction,
        method: "GET",
        target: "paymentIframe",
        id: "iFrameForm"
      }, React.createElement("input", {
        type: "hidden",
        id: "cartId",
        name: "cartId",
        value: this.state.cartId
      }), React.createElement("input", {
        type: "hidden",
        id: "storeId",
        name: "storeId",
        value: this.state.storeId
      }), React.createElement("input", {
        type: "hidden",
        id: "userName",
        name: "userName",
        value: this.state.userId
      }), React.createElement("input", {
        type: "hidden",
        id: "returnUrl",
        name: "returnUrl",
        value: this.state.returnUrl
      }), React.createElement("input", {
        type: "hidden",
        id: "styleUrl",
        name: "styleUrl",
        value: this.state.styleUrl
      }), React.createElement("button", {
        id: "loadIframe"
      })));
    }
  }]);

  return CreditCard;
}(Component);

function mapStateToProps(state) {
  return {
    cart: state.cartActions.cart,
    shippingContact: state.cartActions.shippingDetails,
    billingContact: state.cartActions.billingDetails,
    shippingType: state.cartActions.shippingType,
    taxEstimate: state.cartActions.taxEstimate,
    orderId: state.cartActions.cart.orderId
  };
}

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    onOrderCompletion: function onOrderCompletion(response) {
      dispatch({
        type: 'ON_ORDER_COMPLETION',
        data: response
      });
    },
    fulfillOrder: function fulfillOrder(userToken, env, payload, callback) {
      dispatch({
        type: 'FETCH_FULFILL_ORDER',
        data: {
          userToken: userToken,
          env: env,
          orderId: payload,
          callback: callback
        }
      });
    }
  };
};

export default connect(mapStateToProps, mapDispatchToProps)(CreditCard);